> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List snapshots for a document

> Returns all snapshots for the given document, sorted newest-first.

The binary `state` field is omitted from list results; use the single-snapshot endpoint to retrieve it.



## OpenAPI

````yaml get /snapshot/document/{documentId}
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /snapshot/document/{documentId}:
    get:
      tags:
        - Snapshots
      summary: List snapshots for a document
      description: >-
        Returns all snapshots for the given document, sorted newest-first.


        The binary `state` field is omitted from list results; use the
        single-snapshot endpoint to retrieve it.
      operationId: getSnapshotsByDocumentId
      parameters:
        - schema:
            type: string
            minLength: 1
          required: true
          name: documentId
          in: path
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        documentId:
                          type: string
                        state: {}
                        name:
                          type: string
                        description:
                          type: string
                        comments:
                          type: array
                          items:
                            type: object
                            properties:
                              _id:
                                type: string
                              userId:
                                type: string
                              comment:
                                type: string
                              createdAt:
                                type: number
                            required:
                              - _id
                              - userId
                              - comment
                              - createdAt
                        isAiManaged:
                          type: boolean
                          example: false
                        createdBy:
                          type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - _id
                        - documentId
                        - createdAt
                required:
                  - data
        '400':
          description: 400 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
        '403':
          description: 403 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                    description: |-
                      Error class name (e.g.

                      ValidationError, NotFound)
                  message:
                    type: string
                    description: Human-readable error message
                  details:
                    type: array
                    items: {}
                required:
                  - error
                  - message
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````